Can't install GCC on HP 10.20/HP 11.00

Can't install GCC on HP 10.20/HP 11.00

Post by Cynthia Lu » Sat, 26 Feb 2000 04:00:00



Hi,

     I have downloaded the gcc 2.95.2 and tried to install it.  I can
configure ok. But when I try "make bootstrap", it has the following error
messages:

  make bootstrap
No suffix list.
        make all-recursive
No suffix list.
Making all in intl
Making all in lib
Making all in makeinfo
Bootstrapping the compiler
        make CC="cc" libdir=/export/home/gcc-2.95.2/lib LANGUAGES="c "
        rm -f cpp
        ln cccp cpp
(cd intl && make all)
        ./gengenrtl tmp-genrtl.h tmp-genrtl.c
Make: Cannot load ./gengenrtl.  Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.

    Does anyone knows what causes this and how to work around it? I would
really appreciate if anyone giving me some pointers.  Thanks in advance!

Cynthia Lui

--
_____________________
Cynthia Lui
Axis Systems
1-408-588-2000x133

 
 
 

Can't install GCC on HP 10.20/HP 11.00

Post by Mason » Tue, 29 Feb 2000 04:00:00


Quote:Cynthia Lui wrote...
>     I have downloaded the gcc 2.95.2 and tried to install it.  I can
>configure ok. But when I try "make bootstrap", it has the following error
>messages:

You may have difficulties build gcc using HP's cc.
You can get gcc binary package from http://hpux.csc.liv.ac.uk/.

If you still want to build gcc (after you have installed gcc),
you still need the following.

1. get gnu make,
2. get gnu bison and flex,
3. get gnu binutils (which gives you the assembler "as"
   but no linker "ld"),
4. run the configure like this.
   ./configure --with-gnu-as --with-gas=/opt/binutils/bin/as
   --without-gnu-ld --prefix=/wherever/you/want

And finally "make bootstrap".

Good luck.

 
 
 

Can't install GCC on HP 10.20/HP 11.00

Post by Cynthia Lu » Wed, 01 Mar 2000 04:00:00


Thanks! I got the binaries and everything is fine.

--
_____________________
Cynthia Lui

Quote:> Cynthia Lui wrote...

> >     I have downloaded the gcc 2.95.2 and tried to install it.  I can
> >configure ok. But when I try "make bootstrap", it has the following error
> >messages:

> You may have difficulties build gcc using HP's cc.
> You can get gcc binary package from http://hpux.csc.liv.ac.uk/.

> If you still want to build gcc (after you have installed gcc),
> you still need the following.

> 1. get gnu make,
> 2. get gnu bison and flex,
> 3. get gnu binutils (which gives you the assembler "as"
>    but no linker "ld"),
> 4. run the configure like this.
>    ./configure --with-gnu-as --with-gas=/opt/binutils/bin/as
>    --without-gnu-ld --prefix=/wherever/you/want

> And finally "make bootstrap".

> Good luck.